curl -X POST https://hapi.7331.org/v1/bot/update-info \
-H "Content-Type: application/json" \
-H "X-API-Key: your-bot-api-key" \
-d '{"name": "Hansel Bot v2", "avatar_url": "https://example.com/avatar.png"}'
{
"message": "Bot information updated successfully",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:30:00Z"
}
Allows bots to update their display name and other info.
curl -X POST https://hapi.7331.org/v1/bot/update-info \
-H "Content-Type: application/json" \
-H "X-API-Key: your-bot-api-key" \
-d '{"name": "Hansel Bot v2", "avatar_url": "https://example.com/avatar.png"}'
{
"message": "Bot information updated successfully",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:30:00Z"
}
curl -X POST https://hapi.7331.org/v1/bot/update-info \
-H "Content-Type: application/json" \
-H "X-API-Key: your-bot-api-key" \
-d '{"name": "Hansel Bot v2", "avatar_url": "https://example.com/avatar.png"}'
{
"message": "Bot information updated successfully",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:30:00Z"
}
Was this page helpful?